<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for partune.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
partune - tune parallel performance

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>partune</B> <I>command-line</I>

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
The <I>partune</I> program gathers runtime feedback statistics to
tune the parallel performance of a program parallelized
with SUIF, where <I>command-line</I> is the command line to run
the parallel program. The parallel program needs to have
been linked with <I>lib</I><B>_</B><I>runtime</I><B>_</B><I>*</I><B>_</B><I>all</I><B>_</B><I>stats.a,</I> which can be
generated from the sources in the <I>runtime</I> package. This
version of the runtime library gathers timing information
and prints it to standard output. The <I>partune</I> program
runs <I>command-line</I> first with the environment variable
PL_NUM_THREADS set to 1, then increments PL_NUM_THREADS
and re-runs <I>command-line,</I> iterating until it has run with
PL_NUM_THREADS at the value of PL_MAXPROC. It takes the
best number of processors to use for each task procedure
and writes that to standard error in a form that can be
included as partune.data by feedback.c from the runtime
library package, or read in by the <I>parfeedback</I> pass.
<P>
Note that since <I>partune</I> parses the data from standard
error of the test program, the test program is not allowed
to write anything else to standard output or this pass
will fail.

<H2><A NAME="sect3" HREF="#toc3"><B>See</B> <B>Also</B></A></H2>

<P>
<I>parfeedback</I> <I>pgen</I>

<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">See Also</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
